scala.tools.nsc.backend.jvm.GenASM.JPlainBuilder

# jcode

#### object jcode

Just a namespace for utilities that encapsulate MethodVisitor idioms. In the ASM world, org.objectweb.asm.commons.InstructionAdapter plays a similar role, but the methods here allow choosing when to transition from ICode to ASM types (including not at all, e.g. for performance).

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. jcode
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def aconst(cst: AnyRef): Unit

7. #### def add(tk: Global.icodes.TypeKind): Unit

8. #### val addOpcodes: Array[Int]

9. #### def aload(tk: Global.icodes.TypeKind): Unit

10. #### val aloadOpcodes: Array[Int]

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### def astore(tk: Global.icodes.TypeKind): Unit

13. #### val astoreOpcodes: Array[Int]

14. #### final def boolconst(b: Boolean): Unit

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### def dconst(cst: Double): Unit

17. #### def div(tk: Global.icodes.TypeKind): Unit

18. #### val divOpcodes: Array[Int]

19. #### def emitIF(cond: Global.icodes.TestOp, label: Label): Unit

20. #### def emitIFNONNULL(label: Label): Unit

21. #### def emitIFNULL(label: Label): Unit

22. #### def emitIF_ACMP(cond: Global.icodes.TestOp, label: Label): Unit

23. #### def emitIF_ICMP(cond: Global.icodes.TestOp, label: Label): Unit

24. #### def emitPrimitive(opcs: Array[Int], tk: Global.icodes.TypeKind): Unit

25. #### def emitRETURN(tk: Global.icodes.TypeKind): Unit

26. #### def emitSWITCH(keys: Array[Int], branches: Array[Label], defaultBranch: Label, minDensity: Double): Unit

    Emits one of tableswitch or lookoupswitch.

27. #### def emitTypeBased(opcs: Array[Int], tk: Global.icodes.TypeKind): Unit

28. #### def emitVarInsn(opc: Int, idx: Int, tk: Global.icodes.TypeKind): Unit

29. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

31. #### def fconst(cst: Float): Unit

32. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

33. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

34. #### def goTo(label: Label): Unit

35. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

36. #### def iconst(cst: Int): Unit

37. #### def invokeinterface(owner: String, name: String, desc: String): Unit

38. #### def invokespecial(owner: String, name: String, desc: String): Unit

39. #### def invokestatic(owner: String, name: String, desc: String): Unit

40. #### def invokevirtual(owner: String, name: String, desc: String): Unit

41. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

42. #### def lconst(cst: Long): Unit

43. #### def load(idx: Int, tk: Global.icodes.TypeKind): Unit

44. #### def mul(tk: Global.icodes.TypeKind): Unit

45. #### val mulOpcodes: Array[Int]

46. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

47. #### def neg(tk: Global.icodes.TypeKind): Unit

48. #### val negOpcodes: Array[Int]

49. #### def newarray(elem: Global.icodes.TypeKind): Unit

50. #### final def notify(): Unit

    Definition Classes
      AnyRef

51. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

52. #### def rem(tk: Global.icodes.TypeKind): Unit

53. #### val remOpcodes: Array[Int]

54. #### val returnOpcodes: Array[Int]

55. #### def store(idx: Int, tk: Global.icodes.TypeKind): Unit

56. #### def sub(tk: Global.icodes.TypeKind): Unit

57. #### val subOpcodes: Array[Int]

58. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

59. #### def toString(): String

    Definition Classes
      AnyRef → Any

60. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

62. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped